Take the 2-minute tour ×
WordPress Development Stack Exchange is a question and answer site for WordPress developers and administrators. It's 100% free, no registration required.

When trying to update wordpress from 3.1 to 3.1.1 I am getting the error

Incompatible Archive.: PCLZIP_ERR_BAD_FORMAT (-10) : Unable to find End of Central Dir Record signature

Some searching shows a cause of this can be that the servers disk is full. My disk is not full but it was about a week ago. I believe Wordpress has the disk still flagged as full and not writeable. Does that sound plausible or does any one have any other suggestions?

I have three Wordpress blogs on the server and this is only affecting one of them.

share|improve this question

1 Answer 1

up vote 0 down vote accepted

Sounds like the upgrade download corrupted (probably because of disk space) - just do the upgrade manually.

share|improve this answer
    
Thanks, manual upgrade worked just fine. I had not done that before but it was easy. –  ollybee Apr 15 '11 at 14:00
    
Solved this finally... even after the manual upgrade I could no longer do automatic upgrades and found some other wordpress features failed. The site was on a Plesk server, I used the control panel to configure PHP as an apache module. I was then able to upgrade worpress. I then changd back to fast CGI and everything worked perfectly. –  ollybee Jun 8 '11 at 21:14

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.

Not the answer you're looking for? Browse other questions tagged or ask your own question.